> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payment Link



## OpenAPI

````yaml openapi/payment-links/create-payment-link.json POST /payment-links
openapi: 3.1.0
info:
  title: payment-links
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /payment-links:
    post:
      summary: Create Payment Link
      operationId: create-payment-link
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - account_id
                - country
                - amount
                - payment_method_types
              properties:
                account_id:
                  type: string
                  description: >-
                    The unique identifier of the account. You find this
                    information on [the Yuno
                    Dashboard](https://dashboard.y.uno/) (MAX 64; MIN 36).
                description:
                  type: string
                  description: The description of the payment link (MAX 255; MIN 3).
                country:
                  type: string
                  description: >-
                    The customer's country code (MAX 2; MIN 2; [ISO
                    3166-1](/reference/country-reference)) **[Required]**.
                  enum:
                    - AR
                    - BO
                    - BR
                    - CL
                    - CO
                    - CR
                    - EC
                    - SV
                    - GT
                    - HN
                    - MX
                    - NI
                    - PA
                    - PY
                    - PE
                    - US
                    - UY
                merchant_order_id:
                  type: string
                  description: >-
                    Identification of the payment link transaction defined by
                    the merchant (MAX 255; MIN 3).
                amount:
                  type: object
                  description: >-
                    Specifies the payment amount object, with the value and
                    currency.
                  required:
                    - value
                    - currency
                  properties:
                    value:
                      type: number
                      description: The payment amount (multiple of 0.0001)
                      format: float
                    currency:
                      type: string
                      description: >-
                        The currency used to make the payment. For a full list
                        of currency codes, see [Country
                        reference](/reference/country-reference) (MAX 3; MIN 3;
                        ISO 4217).
                capture:
                  type: boolean
                  description: >-
                    Decides whether to authorize the payment or capture it.
                    Authorizing a card payment allows you to reserve funds in a
                    customer's bank account. If not set, true by default.
                type:
                  type: string
                  description: The type of the payment link.
                status:
                  type: string
                  description: The status of the payment link.
                payment_method:
                  type: object
                  description: Payment method object (optional).
                installments_plan:
                  type: object
                  description: Installments plan configuration (optional).
                timezone:
                  type: string
                  description: Timezone for availability (e.g., UTC +03:00).
                payments_number:
                  type: integer
                  description: Number of payments associated with this link.
                split_payment_methods:
                  type: boolean
                  description: Allow split payment methods.
                taxes:
                  type: array
                  description: >-
                    Specifies the payment taxes list. **Only available for
                    COL**.
                  items:
                    properties:
                      type:
                        type: string
                        description: Type of the tax.
                      tax_base:
                        type: number
                        description: The amount base to apply the tax defined.
                        format: float
                      value:
                        type: number
                        description: The amount of the tax.
                        format: float
                      percentage:
                        type: number
                        description: The percentage of the tax.
                        format: float
                    type: object
                customer_payer:
                  type: object
                  description: Specifies customer object for payments.
                  properties:
                    id:
                      type: string
                      description: >-
                        The unique identifier of the customer (UUID | MAX 36;
                        MIN 36).
                    merchant_customer_id:
                      type: string
                      description: >-
                        The unique identifier of the customer in the external
                        merchant (MAX 255; MIN 3).
                    first_name:
                      type: string
                      description: The customer's first name (MAX 255; MIN 1).
                    last_name:
                      type: string
                      description: The customer's last name (MAX 255; MIN 1).
                    gender:
                      type: string
                      description: >-
                        The customer's gender (MAX 2; MIN 1;
                        (M=Male/F=Female/NA=Not applicable/NK=Not Known)).
                    date_of_birth:
                      type: string
                      description: >-
                        The customer's date of birth in the YYYY-MM-DD format
                        (Length: 10).
                    email:
                      type: string
                      description: The customer's e-mail (MAX 255; MIN 3).
                    nationality:
                      type: string
                      description: The customer's nationality (MAX 2; MIN 2; ISO 3166-1).
                    document:
                      type: object
                      description: >-
                        Specifies the customer's document object, including its
                        number and type.
                      required:
                        - document_number
                      properties:
                        document_number:
                          type: string
                          description: The document number (MAX 40; MIN 3).
                        document_type:
                          type: string
                          description: >-
                            Document type (MAX 6; MIN 3; [Country
                            reference](country-reference)).
                          enum:
                            - DNI
                            - CI
                            - LC
                            - LE
                            - CUIT
                            - CUIL
                            - PAS
                            - CPF
                            - RG
                            - CNH
                            - CNPJ
                            - RUT
                            - RUN
                            - CC
                            - CE
                            - NIT
                            - DUI
                            - PIC
                            - DPI
                            - IFR
                            - INE
                            - CP
                            - RFC
                            - CURP
                            - CIP
                            - CIC
                            - CUI
                            - RUC
                            - ''
                    phone:
                      type: object
                      description: Specifies the customer's phone number object.
                      properties:
                        country_code:
                          type: string
                          description: >-
                            The country calling code of the phone (MAX 5; MIN
                            1). Check the [country reference](country-reference)
                            to see the phone codes.
                        number:
                          type: string
                          description: >-
                            The phone number, without the country code (MAX 32;
                            MIN 1).
                    billing_address:
                      type: object
                      description: Specifies the customer's billing address object.
                      properties:
                        address_line_1:
                          type: string
                          description: The primary address line (MAX 255; MIN 3).
                        address_line_2:
                          type: string
                          description: The secondary address line (MAX 255; MIN 3).
                        city:
                          type: string
                          description: >-
                            The city considered for the address (MAX 255; MIN
                            3).
                        country:
                          type: string
                          description: >-
                            The country (MAX 2; MIN 2; [ISO
                            3166-1](country-reference)).
                          enum:
                            - AR
                            - BO
                            - BR
                            - CL
                            - CO
                            - CR
                            - EC
                            - SV
                            - GT
                            - HN
                            - MX
                            - NI
                            - PA
                            - PY
                            - PE
                            - US
                            - UY
                        state:
                          type: string
                          description: >-
                            The state/province from the address (MAX 255; MIN
                            3).
                        zip_code:
                          type: string
                          description: The zipcode for the address (MAX 10; MIN 5).
                    shipping_address:
                      type: object
                      description: Specifies the customer's shipping address object.
                      properties:
                        address_line_1:
                          type: string
                          description: The primary address line (MAX 255; MIN 3).
                        address_line_2:
                          type: string
                          description: The secondary address line (MAX 255; MIN 3).
                        city:
                          type: string
                          description: >-
                            The city considered for the address (MAX 255; MIN
                            3).
                        country:
                          type: string
                          description: >-
                            The country (MAX 2; MIN 2; [ISO
                            3166-1](country-reference)).
                          enum:
                            - AR
                            - BO
                            - BR
                            - CL
                            - CO
                            - CR
                            - EC
                            - SV
                            - GT
                            - HN
                            - MX
                            - NI
                            - PA
                            - PY
                            - PE
                            - US
                            - UY
                        state:
                          type: string
                          description: >-
                            The state/province from the address (MAX 255; MIN
                            3).
                        zip_code:
                          type: string
                          description: The zipcode for the address (MAX 10; MIN 5).
                    ip_address:
                      type: string
                      description: Specifies the customer's IP address (MAX 45; MIN 1).
                additional_data:
                  type: object
                  description: >-
                    Specifies the additional_data object. This object is not
                    mandatory. However, if you send this information, the
                    payment experience will be enhanced for your user.
                  properties:
                    order:
                      type: object
                      description: Specifies the order object.
                      properties:
                        shipping_amount:
                          type: number
                          description: >-
                            The shipping amount of the order (multiple of
                            0.0001)
                          format: float
                        fee_amount:
                          type: number
                          description: The fee amount of the order (multiple of 0.0001)
                          format: float
                        items:
                          type: array
                          description: Specifies the items array of object.
                          items:
                            properties:
                              id:
                                type: string
                                description: >-
                                  The unique identifier of the item (MAX 255;
                                  MIN 1).
                              name:
                                type: string
                                description: The name of the item (MAX 255; MIN 3).
                              quantity:
                                type: integer
                                description: The quantity of the item.
                                format: int32
                              unit_amount:
                                type: number
                                description: >-
                                  The unit amount of the item (multiple of
                                  0.0001).
                                format: float
                              category:
                                type: string
                                description: >-
                                  The category of the item. Check the Item
                                  category reference.
                              brand:
                                type: string
                                description: The brand of the item (MAX 255; MIN 1).
                              sku_code:
                                type: string
                                description: >-
                                  The stock keeping unit (SKU) of the item (MAX
                                  255; MIN 1).
                              manufacture_part_number:
                                type: string
                                description: >-
                                  The manufacture part number of the item (MAX
                                  255; MIN 1).
                            required:
                              - id
                              - name
                              - quantity
                              - unit_amount
                            type: object
                    airline:
                      type: object
                      description: Specifies the airline object.
                      properties:
                        pnr:
                          type: string
                          description: Passenger name record (MAX 10; MIN 1).
                        legs:
                          type: array
                          description: Specifies the legs object.
                          items:
                            properties:
                              departure_airport:
                                type: string
                                description: >-
                                  IATA code. See http://www.iata.org (MAX 3; MIN
                                  3).
                              departure_datetime:
                                type: string
                                description: >-
                                  The departure date and time in UTC time (ISO
                                  8601, MAX 27; MIN 27).
                                format: date
                              departure_airport_timezone:
                                type: string
                                description: Airport timezone (MAX 6; MIN 6).
                              arrival_airport:
                                type: string
                                description: >-
                                  IATA airport code. See http://www.iata.org
                                  (MAX 3; MIN 3).
                              carrier_code:
                                type: string
                                description: >-
                                  IATA carrier code. See http://www.iata.org
                                  (MAX 2; MIN 2).
                              flight_number:
                                type: string
                                description: >-
                                  The flight number assigned by the airline
                                  carrier (MAX 5; MIN 1).
                              fare_basis_code:
                                type: string
                                description: >-
                                  Code base rate provides specific information
                                  on the fare in addition to the class service,
                                  both required for booking (MAX 15; MIN 1).
                              fare_class_code:
                                type: string
                                description: >-
                                  The fare class code of the airline (MAX 3; MIN
                                  1). The values can be letters (A-Z) but may
                                  vary depending on the airline's definition.
                                  Check the [Airline information
                                  reference](/reference/airline-information#fare-class-code).
                              base_fare:
                                type: number
                                description: >-
                                  The transaction amount, excluding taxes and
                                  fees, the smallest unit of currency (multiple
                                  of 0.0001).
                                format: float
                              base_fare_currency:
                                type: string
                                description: >-
                                  The currency used for the base fare amount
                                  (MAX 3; MIN 3; [ISO
                                  4217](https://en.wikipedia.org/wiki/ISO_4217)).
                              stopover_code:
                                type: string
                                description: >-
                                  1-letter code that indicates whether the
                                  passenger is allowed to make a stopover. Only
                                  two types of characters are allowed: O:
                                  Stopover allowed (the letter “O”, not zero) /
                                  X: Stopover not allowed. (MAX 1; MIN 1).
                            required:
                              - departure_airport
                              - departure_datetime
                              - arrival_airport
                            type: object
                    device:
                      type: object
                      description: Specifies the device object.
                      properties:
                        locale:
                          type: string
                          description: The locale of the device (MAX 20; e.g. es-CL).
                        geolocation:
                          type: string
                          description: >-
                            The geolocation of the device in lat,long format
                            (MAX 255).
                        event_uuid:
                          type: string
                          description: The unique identifier of the event (MAX 64).
                        user_agent:
                          type: string
                          description: The user agent of the device (MAX 512).
                    payer_risk_data:
                      type: object
                      description: Specifies the payer risk data object.
                      properties:
                        login_platform:
                          type: string
                          description: The platform used to log in (MAX 64; e.g. WEB).
                        approved_transactions_2m:
                          type: integer
                          description: >-
                            Number of approved transactions in the last 2 months
                            (MIN 0).
                          minimum: 0
                        recent_transactions_3h:
                          type: integer
                          description: Number of transactions in the last 3 hours (MIN 0).
                          minimum: 0
                        is_paid_user:
                          type: boolean
                          description: Indicates whether the payer is a paid user.
                        account_creation_date:
                          type: string
                          description: >-
                            The account creation date in YYYYMMDD format (e.g.
                            20191005).
                    seller_details:
                      type: object
                      description: >-
                        Specifies the seller's details object. Only mandatory
                        for PSPs with sub_merchant account information.
                      properties:
                        name:
                          type: string
                          description: The seller's legal name (MAX 255; MIN 1).
                        email:
                          type: string
                          description: The seller's e-mail (MAX 255; MIN 1).
                        reference:
                          type: string
                          description: The seller's identification code (MAX 255; MIN 1).
                        website:
                          type: string
                          description: The seller's website URL (MAX 255; MIN 1).
                        industry:
                          type: string
                          description: >-
                            The seller's industry (MAX 255; MIN 3; Industry
                            category reference).
                        country:
                          type: string
                          description: The seller's country (MAX 255; MIN 3; ISO 3166-1).
                        document:
                          type: object
                          description: Specifies the document object of the seller.
                          required:
                            - document_number
                          properties:
                            document_number:
                              type: string
                              description: The document number (MAX 40; MIN 3).
                            document_type:
                              type: string
                              description: >-
                                Document type (MAX 6, MIN 1; [Country
                                reference](country-reference)).
                              enum:
                                - DNI
                                - CI
                                - LC
                                - LE
                                - CUIT
                                - CUIL
                                - PAS
                                - CPF
                                - RG
                                - CNH
                                - CNPJ
                                - RUT
                                - RUN
                                - CC
                                - CE
                                - NIT
                                - DUI
                                - PIC
                                - DPI
                                - IFR
                                - INE
                                - CP
                                - RFC
                                - CURP
                                - CIP
                                - CIC
                                - CUI
                                - RUC
                                - ''
                        phone:
                          type: object
                          description: Specifies the seller's phone number object.
                          properties:
                            country_code:
                              type: string
                              description: >-
                                The country calling code of the phone (MAX 5;
                                MIN 1).  Check the [Country
                                reference](country-reference) to see the phone
                                codes.
                            number:
                              type: string
                              description: >-
                                The phone number, without the country code (MAX
                                32; MIN 1).
                        address:
                          type: object
                          description: Specifies the seller's address object.
                          properties:
                            address_line_1:
                              type: string
                              description: The primary address line (MAX 255; MIN 3).
                            address_line_2:
                              type: string
                              description: The secondary address line (MAX 255; MIN 1).
                            city:
                              type: string
                              description: >-
                                The city considered for the address (MAX 255;
                                MIN 3).
                            country:
                              type: string
                              description: >-
                                The country (MAX 2; MIN 2; [ISO
                                3166-1](country-reference)).
                              enum:
                                - AR
                                - BO
                                - BR
                                - CL
                                - CO
                                - CR
                                - EC
                                - SV
                                - GT
                                - HN
                                - MX
                                - NI
                                - PA
                                - PY
                                - PE
                                - US
                                - UY
                            state:
                              type: string
                              description: >-
                                The state/province from the address (MAX 255;
                                MIN 3).
                            zip_code:
                              type: string
                              description: The zipcode for the address (MAX 10; MIN 5).
                callback_url:
                  type: string
                  description: URL to redirect the customer after the payment (MAX 256).
                one_time_use:
                  type: boolean
                  description: '`true` allows only one use, `false` multiple payments'
                availability:
                  type: object
                  description: >-
                    The availability object. Refers to the Payment Link
                    expiration date.
                  properties:
                    start_at:
                      type: string
                      description: Start of the validity period of the payment link.
                      format: date-time
                    finish_at:
                      type: string
                      description: End of the validity period of the payment link.
                      format: date-time
                payment_method_types:
                  type: array
                  description: >-
                    The list of types of payment methods that customers can use.
                    Check the available payment methods on [Payment
                    type](/reference/payment-type-list). If no value is passed,
                    Yuno will display the payment methods defined in the
                    dashboard.
                  items:
                    type: string
                metadata:
                  type: array
                  description: >-
                    Specifies a list of metadata objects. You can add up to 50
                    metadata objects.
                  items:
                    properties:
                      key:
                        type: string
                        description: The metadata key (MAX 48).
                      value:
                        type: string
                        description: The metadata key value (MAX 512).
                    type: object
                vault_on_success:
                  type: boolean
                  description: Flag to enroll the card after a successful payment
            examples:
              CREATE PAYMENT LINK:
                value:
                  account_id: 493e9374-510a-4201-9e09-de669d75f256
                  description: Test
                  country: AR
                  merchant_order_id: AA01
                  amount:
                    value: 5000
                    currency: ARS
                  payment_method_types:
                    - CARD
                  availability:
                    start_at: '2023-01-15T14:00:12Z'
                    finish_at: '2023-12-29T14:00:12Z'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                CREATE PAYMENT LINK:
                  value:
                    id: 555933df-4eed-4af4-ae83-a32072ef34af
                    country: US
                    availability:
                      start_at: '2023-01-15T14:00:12Z'
                      finish_at: '2023-12-29T14:00:12Z'
                    status: CREATED
                    merchant_order_id: AA01
                    description: Test
                    amount:
                      currency: USD
                      value: 5000
                    capture: true
                    metadata: null
                    split_payment_methods: false
                    payment_method_types:
                      - CARD
                    one_time_use: false
                    payments: null
                    callback_url: https://checkout.sandbox.y.uno/payment/status
                    installments_plan: null
                    customer_payer: null
                    taxes: null
                    additional_data:
                      airline: null
                      order: null
                      seller_details: null
                    account_id: 493e9374-510a-4201-9e09-de669d75f256
                    checkout_url: >-
                      https://checkout.sandbox.y.uno/payment?session=2f6d9754-43d0-4dca-b023-6aba4b107179
                    payments_number: 0
                    merchant_image: ''
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 555933df-4eed-4af4-ae83-a32072ef34af
                  country:
                    type: string
                    example: US
                  availability:
                    type: object
                    properties:
                      start_at:
                        type: string
                        example: '2023-01-15T14:00:12Z'
                      finish_at:
                        type: string
                        example: '2023-12-29T14:00:12Z'
                  status:
                    type: string
                    example: CREATED
                  merchant_order_id:
                    type: string
                    example: AA01
                  description:
                    type: string
                    example: Test
                  amount:
                    type: object
                    properties:
                      currency:
                        type: string
                        example: USD
                      value:
                        type: integer
                        example: 5000
                        default: 0
                  capture:
                    type: boolean
                    example: true
                    default: true
                  metadata: {}
                  split_payment_methods:
                    type: boolean
                    example: false
                    default: true
                  payment_method_types:
                    type: array
                    items:
                      type: string
                      example: CARD
                  one_time_use:
                    type: boolean
                    example: false
                    default: true
                  payments: {}
                  callback_url:
                    type: string
                    example: https://checkout.sandbox.y.uno/payment/status
                  installments_plan: {}
                  customer_payer: {}
                  taxes: {}
                  additional_data:
                    type: object
                    properties:
                      airline: {}
                      order: {}
                      seller_details: {}
                      device:
                        type: object
                        properties:
                          locale:
                            type: string
                            example: es-CL
                          geolocation:
                            type: string
                          event_uuid:
                            type: string
                          user_agent:
                            type: string
                      payer_risk_data:
                        type: object
                        properties:
                          login_platform:
                            type: string
                            example: WEB
                          approved_transactions_2m:
                            type: integer
                            default: 0
                          recent_transactions_3h:
                            type: integer
                            default: 0
                          is_paid_user:
                            type: boolean
                          account_creation_date:
                            type: string
                            example: '20191005'
                  account_id:
                    type: string
                    example: 493e9374-510a-4201-9e09-de669d75f256
                  checkout_url:
                    type: string
                    example: >-
                      https://checkout.sandbox.y.uno/payment?session=2f6d9754-43d0-4dca-b023-6aba4b107179
                  payments_number:
                    type: integer
                    example: 0
                    default: 0
                  merchant_image:
                    type: string
                    example: ''
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Invalid Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
                  summary: Invalid Request
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````